package cmd

import (
	"fmt"
	"github.com/spf13/cobra"
)

type Config struct {
	url            string
	folderTitleUrl string
	max            int
	output         string
	chapter        int
	host           string
}

var config = Config{host: "https://img4.qy0.ru"}

func NewRootCmd() *cobra.Command {
	return &cobra.Command{
		Use:   "anime",
		Short: "Anime crawler written by go",
		Run: func(cmd *cobra.Command, args []string) {
			NewCrawler().Start()
			fmt.Println("抓取完成")
		},
	}
}

func CommandInit(rootCmd *cobra.Command) {
	rootCmd.PersistentFlags().StringVarP(&config.url, "url", "u", "", "除域名外的链接")
	rootCmd.PersistentFlags().IntVarP(&config.max, "max", "m", 1, "图片最大值")
	rootCmd.PersistentFlags().StringVarP(&config.output, "output", "o", "anime", "设置漫画抓取结果的保存位置，默认为当前用户的主目录下的 anime 文件夹")
	rootCmd.PersistentFlags().StringVarP(&config.folderTitleUrl, "folderTitleUrl", "t", "", "文件夹标题抓取链接")
	rootCmd.PersistentFlags().IntVarP(&config.chapter, "chapter", "c", 0, "指定章节，用于文件夹标题抓取")
}
